curl --request GET \
--url https://api.fintoc.com/v1/webhook_endpoints/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/webhook_endpoints/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/webhook_endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "we_M6yrvOepCe3Rqp8B",
"object": "webhook_endpoint",
"created_at": "2021-05-17T17:04:10.284Z",
"description": "Webhook endpoint for payment events.",
"enabled_events": [
"link.credentials_changed"
],
"mode": "live",
"name": "My webhook endpoint",
"secret": null,
"status": "enabled",
"url": "https://my.webhook.endpoint"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such webhook_endpoint: we_M6yrvOepCe3Rqp8B",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Get a webhook endpoint
Retrieves a webhook endpoint by its id. Only endpoints matching the live or test mode of the API key are visible; deleted endpoints return a 404 Not Found error. secret is always null outside creation.
Authorizations
Path Parameters
The id of the webhook endpoint to retrieve.
Response
The webhook endpoint. secret is always null outside creation.
Unique identifier of the webhook endpoint.
"we_M6yrvOepCe3Rqp8B"
Type of the object. Always webhook_endpoint.
ISO 8601 timestamp of when the webhook endpoint was created.
"2021-05-17T17:04:10.284Z"
Optional free-text description of the endpoint.
"Webhook endpoint for payment events."
Event types that trigger a notification to this endpoint.
link.credentials_changed, link.refresh_intent.succeeded, link.refresh_intent.failed, account.refresh_intent.succeeded, account.refresh_intent.failed, account.refresh_intent.rejected, payment_intent.succeeded, payment_intent.rejected, payment_intent.failed, payment_intent.pending, payment_intent.expired, subscription.payment_method_updated, subscription.payment_method_update_failed, subscription_intent.succeeded, subscription_intent.rejected, subscription_intent.failed, charge.succeeded, charge.failed, account.refresh_intent.movements_removed, account.refresh_intent.movements_modified, refund.succeeded, refund.failed, refund.in_progress, payout.created, payout.canceled, payout.succeeded, payout.returned, checkout_session.finished, checkout_session.expired, transfer.inbound.succeeded, transfer.outbound.succeeded, transfer.outbound.partially_succeeded, transfer.outbound.failed, transfer.outbound.returned, transfer.inbound.returned, transfer.inbound.return_failed, account_number.deleted, account_verification.succeeded, account_verification.failed, transfer.inbound.rejected, transfer.inbound.reversed, payment_method.activated, payment_method.canceled, invoice.created, invoice.finalized, invoice.paid, invoice.payment_created, invoice.payment_failed, invoice.payment_succeeded, invoice.upcoming, invoice.voided, dispute.waiting_documentation, dispute.in_review, dispute.won, dispute.lost, dispute.expired, entity.onboarding.approved, entity.onboarding.rejected Mode of the object. live objects use real institution data, test objects use fake data for integration testing.
test, live "live"
Optional name to identify the endpoint.
"My webhook endpoint"
Secret used to verify the signature of the webhooks sent to the endpoint. Only returned when the endpoint is created; null in every other response.
"whsec_live_aBcDeFgHiJkLmNoPqRsTuVwXyZ"
Whether the endpoint currently receives event notifications.
disabled, enabled "enabled"
HTTPS URL that receives the event notifications.
"https://my.webhook.endpoint"
Was this page helpful?